GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List topics GETAdd topic POSTGet topic insights GETUpdate topic PATCHDelete topic DELETE
Topics

List topics GET

List a brand's prompt topics with prompt counts.

Get topic insights GET

Visibility, citations, share of voice and sentiment per topic and prompt.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Topics

Add topic

POST
/brands/{brandId}/topics

Add a topic.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
name*string
Length1 <= length <= 60
color*|

Hex color, or null for no color

Match^#[0-9a-f]{6}$/i

Response Body

Topic created

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
name*string
color*string|null
promptCount*integer
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "color": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "color": "string",  "promptCount": 0}

List topics GET

List a brand's prompt topics with prompt counts.

Get topic insights GET

Visibility, citations, share of voice and sentiment per topic and prompt.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "string"
}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "color": "string",
  "promptCount": 0
}